Get open positions
curl --request GET \
--url https://v2.55-tech.com/positions \
--header 'x-api-key: <api-key>'import requests
url = "https://v2.55-tech.com/positions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://v2.55-tech.com/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"groupBy": "bookmaker",
"positions": [
{
"bookmaker": "pinnacle",
"openBets": 5,
"totalStake": 250,
"avgPrice": 1.92,
"fixtureIds": 3
},
{
"bookmaker": "sharpbet",
"openBets": 2,
"totalStake": 80,
"avgPrice": 2.15,
"fixtureIds": 2
}
],
"count": 2,
"totalStake": 330,
"totalOpenBets": 7
}Analytics
Get open positions
Retrieve aggregated open (unsettled) positions grouped by bookmaker, account, or userRef.
Returns the number of open bets, total stake, and average price for each group.
Only includes bets with betStatus in (PLACED, CONFIRMED) and settlementStatus = UNSETTLED.
Group by options:
bookmaker(default) — Group by bookmakeraccount— Group by bookmaker accountuserRef— Group by user reference
Filters:
bookmaker— Filter to a specific bookmakeruserRef— Filter to a specific user referenceaccount— Filter to a specific account
GET
/
positions
Get open positions
Authorizations
API key for authentication. Contact contact@55-tech.com to obtain a key.
Query Parameters
Group positions by: bookmaker, account, or userRef
Available options:
bookmaker, account, userRef Filter by bookmaker slug
Filter by user reference
Filter by account username